Page MenuHomePhabricator

E 0.22.2: smart window placement broken, doesn't only use available horizontal/vertical space, maximizes fullscreen instead
Open, Pending on user inputPublic

Description

  • Configure E to maximize a window to available space (keyboard shortcut).
  • Enter keyboard shortcut (to trigger event)

-> Window is maximized to screen width/height instead of maximizing to "only available space to the right"

  • EDIT: the maximization in both horizontal and vertical used to work to stop resizing at the boundaries of the next window(s). This is broken as well. The vertical maximization now always maximizes to the screen edge instead of the next windows' outer border. Same applies to horizontal maximization.
MarcBu created this task.Mar 22 2018, 1:18 AM
Herald closed this task as Invalid. · View Herald TranscriptMar 22 2018, 1:18 AM
Herald added a project: Restricted Project. · View Herald Transcript

The Enlightenment ticket system is currently receiving high amounts of spam tickets. This ticket has been closed as spam because it lacks both a project and an assignee. If this ticket is not spam, please reopen it after adding these items.

MarcBu renamed this task from E 0.22.2: smart window placement broken, doesn't use available hori/vert space, maximises fullscreen instead to E 0.22.2: smart window placement broken, doesn't only use available horizontal/vertical space, maximizes fullscreen instead.Mar 26 2018, 8:56 AM
MarcBu reopened this task as Open.
MarcBu updated the task description. (Show Details)
MarcBu edited projects, added enlightenment20; removed Restricted Project.
ProhtMeyhet triaged this task as Pending on user input priority.Dec 4 2018, 2:53 PM
ProhtMeyhet added a subscriber: ProhtMeyhet.

there have been a lot of changes between enlightenment 0.20 and 0.22 in calculating window width/height. could you check if this is still an issue with latest enlightenment and efl?